Subject: Re: FYI: IETF LC for draft-reschke-rfc2231-in-http

From: Julian Reschke <[email-masked]>
Date: Mon, 29 Mar 2010 14:57:35 +0200

On 22.02.2010 16:01, Julian Reschke wrote:
> ...
> Hi there,
>
> this spec is now in Last Call, ending March, 22.
>
> A few issues are open, and those are summarized in Appendix D. I'm
> particularly looking for feedback on:
>
> - parameter-abnf
>
> In Section 3.2:
>
> Type: change
>
> [email-masked] (2010-02-20): The ABNF for reg-parameter
> and ext-parameter is ambiguous, as "*" is a valid token character;
> furthermore, RFC 2616's "attribute" production allows "*" while RFC
> 2231's does not. (reported by Alexey Melnikov).
>
> [email-masked] (2010-02-21): Proposal: restrict the
> allowable character set in parameter names to exclude "*" (and maybe
> even more non-name characters?). Also, consider extending the set of
> value characters (for the right hand side) to allow more characters
> that can be unambiguously parsed outside quoted strings, such as "/".
>
> and

This will be fixed as proposed in the next draft.

> - iso8859
>
> In Section 3.2:
>
> Type: change
>
> [email-masked] (2010-02-20): The protocol could be
> further simplified by mandating UTF-8 only (reported by Alexey
> Melnikov). On the other hand and not surprisingly, testing shows
> that ISO-8859-1 support is widely implemented. The author is looking
> for community feedback on this choice.
>
> Feedback on these specific issues would be appreciated,
> ...

There was no feedback at all on this one; as the existing 
implementations *do* support ISO-8859-1 I'm leaning towards leaving 
things as they are.

Best regards, Julian